# Interface Notification

All Known Implementing Classes:
  `AssociationChangeNotification`, `PeerAddressChangeNotification`, `SendFailedNotification`, `ShutdownNotification`

public interface Notification
A notification from the SCTP stack.

Objects of this type are passed to the `NotificationHandler` when a notification is received.

An SCTP channel supports the following notifications: `AssociationChangeNotification`, `PeerAddressChangeNotification`, `SendFailedNotification`, `ShutdownNotification`, and may support additional implementation specific notifications.

Since:
  1.7

## Method Summary

Modifier and Type
Method
Description
`Association`
`association()`
Returns the association that this notification is applicable to.

## Method Details

### association

Association association()
Returns the association that this notification is applicable to.

Returns:
  The association